<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.pavis.admin.aigc.mapper.ToolMapper">
    <select id="selectByAgentId" resultType="com.pavis.admin.aigc.model.entity.ToolDO">
        SELECT *
        FROM aigc_tool AS t1
                 LEFT JOIN aigc_agent_tool AS t2 ON t2.tool_id = t1.id
        WHERE t2.agent_id = #{agentId}
    </select>
</mapper>